import * as $dara from '@darabonba/typescript';
export declare class UpdateVpcGatewayEndpointAttributeResponseBody extends $dara.Model {
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * E9654534-5A38-5545-813F-0403D49042FB
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
